using System.ComponentModel;
using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    public class Axis
    {
        public Axis()
        {
            Steps = 1;
        }

        [JsonProperty("stroke")]
        public string Stroke { set; get; }

        [JsonProperty("colour")]
        public string Colour { get; set; }

        [JsonProperty("grid-colour")]
        public string GridColour { get; set; }

        [JsonProperty("steps")]
        [DefaultValue(1)]
        public int Steps { get; set; }

        [JsonProperty("min")]
        [DefaultValue(0)]
        public double? Min { get; set; }

        [JsonProperty("max")]
        public double? Max { get; set; }

        [JsonProperty("3d")]
        public int Axis3D { get; set; }

        public void SetColors(string color, string gridcolor)
        {
            Colour = color;
            GridColour = gridcolor;
        }

        public void Set3D(int width)
        {
            Axis3D = width;
        }

        public virtual bool IsSpecified()
        {
            return !string.IsNullOrEmpty(Stroke) ||
                !string.IsNullOrEmpty(Colour) ||
                !string.IsNullOrEmpty(GridColour) ||
                Steps != 1 ||
                (Min.HasValue && Min.Value != 0) ||
                (Max.HasValue && Max.Value != 0) ||
                Axis3D != 0;
        }
    }
}