using System;
using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    public class ScatterValue : ILabelValue
    {
        private int? dotsize;

        public ScatterValue()
        {
        }

        public ScatterValue(double x, double y, int dotsize)
        {
            X = x;
            Y = y;
            if (dotsize > 0)
                this.dotsize = dotsize;
        }

        [JsonProperty("x")]
        public double X { get; set; }

        [JsonProperty("y")]
        public double Y { get; set; }

        [JsonProperty("dot-size")]
        public int DotSize
        {
            get
            {
                if (dotsize == null)
                    return -1;

                return dotsize.Value;
            }
            set { dotsize = value; }
        }

        [JsonIgnore]
        public double Value
        {
            get
            {
                return dotsize ?? 0;
            }
            set
            {
                dotsize = (int)Math.Round(value);
            }
        }

        [JsonIgnore]
        public string Label { get; set; }
    }
}