using System.Collections.Generic;
using System.ComponentModel;
using OpenFlashChartLib.Json;

namespace OpenFlashChartLib.Charts
{
    public class XAxisLabels
    {
        private IList<AxisLabel> labels;
        private string rotate;

        [JsonProperty("steps")]
        [DefaultValue(1)]
        public int? Steps { get; set; }

        [JsonProperty("labels")]
        public IList<AxisLabel> AxisLabelValues
        {
            get { return labels; }
            set { labels = value; }
        }

        [JsonIgnore]
        public IList<string> Values
        {
            set
            {
                if (labels == null)
                    labels = new List<AxisLabel>();
                foreach (string s in value)
                {
                    labels.Add(new AxisLabel(s));
                }
                //this.labels = value;
            }
        }

        [JsonProperty("colour")]
        public string Color { set; get; }

        [JsonProperty("rotate")]
        public string Rotate
        {
            set { rotate = value; }
            get { return rotate; }
        }

        [JsonIgnore]
        public bool Vertical
        {
            set
            {
                if (value)
                    rotate = "vertical";
            }
        }
    }
}