using System;
using System.Collections.Generic;
using System.Text;

namespace OpenFlashChartLib
{
    [Serializable]
    public class FlashParams
    {
        private List<KeyValuePair<string, string>> _variables = new List<KeyValuePair<string, string>>();
        private string _flashFileUrl;
        private string _name = "chart";
        private int _width = 750;
        private int _height = 260;
        private string _background = "#FFFFFF";

        public List<KeyValuePair<string, string>> Variables
        {
            get { return _variables; }
        }

        public string FlashFileUrl
        {
            get { return _flashFileUrl; }
            set { _flashFileUrl = value; }
        }

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public int Width
        {
            get { return _width; }
            set { _width = value; }
        }

        public int Height
        {
            get { return _height; }
            set { _height = value; }
        }

        public string Background
        {
            get { return _background; }
            set { _background = value; }
        }
    }

    public static class OpenFlashSettings
    {
        public static string FlashFileUrl = "~/Flash/open-flash-chart.swf";
        public static string DataHandlerUrl = "~/of.axd";
        public static string HandlerGetControlParam = "cntr";
    }

}
