using System;
using System.Collections.Generic;
using System.Text;

namespace OpenFlashChartLib
{
    public class DataRenderer<T> : IDataRender
    {
        private GraphDataValues<T> valuesRenderer = new GraphDataValues<T>("values");
        private StringDataValues toolTipRenderer = new StringDataValues("tool_tips_set");
        private IValueSetRenderer _graphTypeRenderer;

        public GraphDataValues<T> Values
        {
            get { return valuesRenderer; }
        }

        public GraphDataValues<string> ToolTip
        {
            get { return toolTipRenderer; }
        }

        public IValueSetRenderer GraphTypeRenderer
        {
            get { return _graphTypeRenderer; }
            set { _graphTypeRenderer = value; }
        }

        public ICountedRender ValuesRenderer
        {
            get { return valuesRenderer; }
        }

        public ICountedRender ToolTipRenderer
        {
            get { return toolTipRenderer; }
        }

    }
}
