using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;

namespace OpenFlashChartLib
{
    public class GraphColor : IRender
    {
        public static readonly string XAxisColorToken = "x_axis_colour";
        public static readonly string YAxisColorToken = "y_axis_colour";
        public static readonly string XGridColorToken = "x_grid_colour";
        public static readonly string YGridColorToken = "y_grid_colour";
        private KeyValuePair _xAxisColor = new KeyValuePair(XAxisColorToken);
        private KeyValuePair _yAxisColor = new KeyValuePair(YAxisColorToken);
        private KeyValuePair _xGridColor = new KeyValuePair(XGridColorToken);
        private KeyValuePair _yGridColor = new KeyValuePair(YGridColorToken);

        public string XAxisColor
        {
            get { return _xAxisColor.Value; }
            set { _xAxisColor.Value = value; }
        }

        public string YAxisColor
        {
            get { return _yAxisColor.Value; }
            set { _yAxisColor.Value = value; }
        }

        public string XGridColor
        {
            get { return _xGridColor.Value; }
            set { _xGridColor.Value = value; }
        }

        public string YGridColor
        {
            get { return _yGridColor.Value; }
            set { _yGridColor.Value = value; }
        }

        public void Render(HtmlTextWriter writer)
        {
            _yAxisColor.Render(writer);
            _xAxisColor.Render(writer);
            _xGridColor.Render(writer);
            _yGridColor.Render(writer);
        }
    }
}
