using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;

namespace OpenFlashChartLib
{
    public class KeyValuePairGeneric<T> : RenderBase
    {
        private string _key;
        private T _value;

        public KeyValuePairGeneric(string key, T value)
        {
            _value = value;
            _key = key;
        }

        public KeyValuePairGeneric(string key)
        {
            _key = key;
        }

        public T Value
        {
            get { return _value; }
            set { _value = value; }
        }

        public string Key
        {
            get { return _key; }
            set { _key = value; }
        }

        public override void RenderContent(HtmlTextWriter writer)
        {
            writer.Write(_key);
            writer.Write("=");
            writer.Write(_value.ToString());
        }

        public override void Render(HtmlTextWriter writer)
        {
            if (string.IsNullOrEmpty(_key) || Equals(_value, default(T)))
                return;
            base.Render(writer);
        }
    }
}
